;;; ModelineCubes --- The modeline related cubes for FG42 -*- lexical-binding: t; -*-
;;
;; Copyright (c) 2010-2021 Sameer Rahmani & Contributors
;;
;; Author: Sameer Rahmani <lxsameer@gnu.org>
;; URL: https://gitlab.com/FG42/FG42
;; Version: 3.0.0
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;
;;; Commentary:
;;; Code:
(require 'doom-modeline)
(require 'mini-modeline)


(defun fg42/setup-mini-modeline ()
  "Setup the doom modeline to work with mini modeline."
  ;; (add-hook 'minibuffer-inactive-mode-hook
  ;;           (lambda ()
  ;;             (make-local-variable 'face-remapping-alist)
  ;;             (add-to-list 'face-remapping-alist '(default (:background "#21252b")))))

  (doom-modeline-def-modeline 'minibuffer-line
                              '(modals
                                workspace-name
                                window-number
                                matches
                                buffer-info
                                remote-host
                                buffer-position
                                word-count
                                selection-info)
                              '(misc-info major-mode process vcs lsp checker " \n"))

  (setq mini-modeline-r-format '(:eval (doom-modeline-format--minibuffer-line)))
  (setq mini-modeline-right-padding 1
        mini-modeline-enhance-visual nil)
  (set-face-attribute 'mode-line nil :box nil)
  (set-face-attribute 'mini-modeline-mode-line nil :background (face-background 'modus-theme-intense-blue) :height 0.2)
  (set-face-attribute 'mini-modeline-mode-line-inactive nil :background (face-background 'fringe) :height 0.2))


(provide 'cubes/modeline/setup)
;;; setup.el ends here
